NvMConvexHull {cheddar} | R Documentation

## NvMConvexHull

### Description

Compute the convex hull around log-transformed $N$ versus $M$ data.

### Usage

    NvMConvexHull(community)

### Arguments

`community` | an object of class `Community`.

### Details

Returns the points and area of the minimum convex hull (a polygon in log10-transformed numerical abundance versus log10-transformed body mass space) that bounds all the species within the community.

### Value

A `list` containing the values

`nodes` | The names of the nodes that make up the convex hull.
`points` | A matrix containing columns ‘x’ and ‘y’ that contain the coordinates of the points that make up the convex hull.
`area` | The area within the convex hull.

### Author(s)

Lawrence Hudson

### References

Leaper, R. and Raffaelli, D. (1999) Defining the abundance body-size constraint space: data from a real food web. Ecology Letters 2, 3, 191–199.

### See Also

`Community`, `PlotNvM`, `chull`

### Examples

    data(TL84)

    # Compute convex hull
    convex.hull <- NvMConvexHull(TL84)

    # The nodes that form the hull
    convex.hull$nodes

    # The area of the hull
    convex.hull$area

    # Plot the hull in red around the nodes
    PlotNvM(TL84)
    polygon(convex.hull$points, lwd=2, border='red')

[Package cheddar version 0.1-633 Index]